# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Fri Nov 15 20:02:08 2024
# ------------------------------------------------

package:
  name: tttrlib
  version: 0.25.1
source:
  sha256: a224214e50d7a202ef1d264c64641ab0b26f29bf756a96659489847953b698a6
  url: https://github.com/Fluorescence-Tools/tttrlib/archive/refs/tags/v0.25.1.tar.gz
build:
  number: '0'
  run_exports: tttrlib >=0.25.1,<0.26.0a0
  string: py312hf44662a_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_2
    - binutils_linux-aarch64 2.43 hf1166c9_2
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.8.30 hcefe29a_0
    - cmake 3.30.5 hbb72600_0
    - gcc_impl_linux-aarch64 12.4.0 hfb8d6db_1
    - gcc_linux-aarch64 12.4.0 heb3b579_5
    - gxx_impl_linux-aarch64 12.4.0 h3c1ec91_1
    - gxx_linux-aarch64 12.4.0 h3f57e68_5
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libcurl 8.10.1 h3ec0cbf_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.4 h5ad3122_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc 14.2.0 he277a41_1
    - libgcc-devel_linux-aarch64 12.4.0 h7b3af7c_101
    - libgcc-ng 14.2.0 he9431aa_1
    - libglib 2.82.2 hc486b8e_0
    - libgomp 14.2.0 he277a41_1
    - libiconv 1.17 h31becfc_2
    - libnghttp2 1.64.0 hc8609a4_0
    - libsanitizer 12.4.0 h469570c_1
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-devel_linux-aarch64 12.4.0 h7b3af7c_101
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libuv 1.49.2 h86ecc28_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 hcccb83c_1
    - ninja 1.12.1 h70be974_0
    - openssl 3.4.0 h86ecc28_0
    - pcre2 10.44 h070dd5b_2
    - pkg-config 0.29.2 hce167ba_1009
    - rhash 1.4.5 h86ecc28_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_18
    - tzdata 2024b hc8b5060_0
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - boost-cpp 1.85.0 hdad291f_4
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.32.3 h68df207_0
    - ca-certificates 2024.8.30 hcefe29a_0
    - doxygen 1.10.0 h7b6a552_0
    - hdf5 1.14.3 nompi_hd1676c9_105
    - icu 75.1 hf9b3779_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libaec 1.1.3 h2f0025b_0
    - libblas 3.9.0 25_linuxaarch64_openblas
    - libboost 1.85.0 h9fa81b4_4
    - libboost-devel 1.85.0 h37bb5a9_4
    - libboost-headers 1.85.0 h8af1aa0_4
    - libcblas 3.9.0 25_linuxaarch64_openblas
    - libcurl 8.10.1 h3ec0cbf_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.4 h5ad3122_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc 14.2.0 he277a41_1
    - libgcc-ng 14.2.0 he9431aa_1
    - libgfortran 14.2.0 he9431aa_1
    - libgfortran-ng 14.2.0 he9431aa_1
    - libgfortran5 14.2.0 hb6113d0_1
    - libgomp 14.2.0 he277a41_1
    - libiconv 1.17 h31becfc_2
    - liblapack 3.9.0 25_linuxaarch64_openblas
    - libnghttp2 1.64.0 hc8609a4_0
    - libnsl 2.0.1 h31becfc_0
    - libopenblas 0.3.28 pthreads_h9d3fd7e_1
    - libsqlite 3.47.0 hc4a20ef_1
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h86ecc28_2
    - ncurses 6.5 hcccb83c_1
    - numpy 1.26.4 py312h470d778_0
    - openssl 3.4.0 h86ecc28_0
    - pcre2 10.44 h070dd5b_2
    - pip 24.3.1 pyh8b19718_0
    - python 3.12.7 h5d932e8_0_cpython
    - python_abi 3.12 5_cp312
    - readline 8.2 h8fc344f_1
    - setuptools 75.3.0 pyhd8ed1ab_0
    - swig 4.2.1 h0a98329_1
    - tk 8.6.13 h194ca79_0
    - tzdata 2024b hc8b5060_0
    - wheel 0.45.0 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.6 h02f22dd_0
  run:
    - _openmp_mutex >=4.5
    - boost-cpp
    - click
    - click-didyoumean
    - hdf5 >=1.14.3,<1.14.4.0a0
    - libgcc >=12
    - libgomp
    - libstdcxx >=12
    - matplotlib-base
    - numpy >=1.26.4,<2.0a0
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
    - scikit-image
    - tqdm
test:
  commands:
    - tttrlib --help
  imports:
    - tttrlib
about:
  description: 'tttrlib is a simple, fast, libray to read, write and process

    time-resolved imaging and spectroscopic data. For speed, it

    is written in C++ and wrapped for Python via SWIG.

    '
  dev_url: https://github.com/fluorescence-tools/tttrlib
  doc_url: https://tttrlib.readthedocs.io
  home: https://github.com/fluorescence-tools/tttrlib
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: A file format agnostic library for time-resolved imaging and spectroscopic
    data.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - khemmen
    - tpeulen
